İçeriğe atla

MediaWiki:Gadget-Formatting.css

Deltarune Wiki sitesinden

Not: Yayımladıktan sonra değişiklikleri görmeniz için tarayıcınızın önbelleğini temizlemeniz gerekebilir.

  • Firefox / Safari: Shift tuşuna basılıyken Yeniden Yükle'ye tıklayın ya da Ctrl-F5 ya da Ctrl-R tıklayın (Mac için ⌘-R)
  • Google Chrome: Ctrl-Shift-R'ye basın. (Mac için ⌘-Shift-R)
  • Edge: Ctrl basılıyken Yenile'ye tıklayın ya da Ctrl-F5'e basın.
/* Colors */
:root {
	--color-red: #F4001C;
	--color-orange: #F4A521;
	--color-yellow: #FBFF29;
	--color-green: #34C217;
	--color-cyan: #67FDFE;
	--color-blue: #3627FC;
	--color-purple: #CE1BD6;
	/* R-Action */
	--color-lightgreen: #80FF80;
	/* S-Action */
	--color-violet: #FF80FF;
	/* N-Action */
	--color-lightyellow: #FFFF80;
	--color-text-shadow: none;
	/* File backgrounds */
	--file-bg: var(--background-color-progressive-subtle);
	--file-bg-hover: var(--background-color-progressive-subtle);
}

html.skin-theme-clientpref-day {
	--color-orange: #FF9300;
	--color-cyan: #008EAB;
	--color-lightgreen: #5FE163;
	--color-violet: #E97ACD;
	--color-text-shadow: 1px  1px 1px #000,
						-1px -1px 1px #000,
						 1px  0   1px #000,
						-1px  0   1px #000,
						 0    1px 1px #000,
						 0   -1px 1px #4d4508;
	--file-bg: #E2CA92;
}

@media screen and (prefers-color-scheme: light) {
	html.skin-theme-clientpref-os {
		--color-orange: #FF9300;
		--color-cyan: #008EAB;
		--color-lightgreen: #5FE163;
		--color-violet: #E97ACD;
		--color-text-shadow: 1px  1px 1px #000,
							-1px -1px 1px #000,
							 1px  0   1px #000,
							-1px  0   1px #000,
							 0    1px 1px #000,
							 0   -1px 1px #4d4508;
		--file-bg: #E2CA92;
	}
}

.red {
	color: var(--color-red);
}
.orange {
	color: var(--color-orange);
}
.yellow {
	color: var(--color-yellow);
	text-shadow: var(--color-text-shadow);
}
.green {
	color: var(--color-green);
}
.cyan {
	color: var(--color-cyan);
}
.blue {
	color: var(--color-blue);
}
.purple {
	color: var(--color-purple);
}
.lightgreen {
	color: var(--color-lightgreen);
}
.violet {
	color: var(--color-violet);
}
.lightyellow {
	color: var(--color-lightyellow);
	text-shadow: var(--color-text-shadow);
}

/* Fonts */
.sans {
	font-family: "Comic Sans MS", "Comic Sans", "Chalkboard SE", sans-serif;
}
.papyrus {
	font-family: "Papyrus", sans-serif;
}
.dt {
	font-family: "Determination Mono", monospace;
}

/* Images */
.flip-image img {
	transform: scaleX(-1);
}

.extimage img {
	max-width: 100%;
}

/* Background - dark and light */
/* stylelint-disable no-descending-specificity */
.pi-theme-bg-on-dark .pi-image,
figure.bg-on-dark[typeof~='mw:File/Thumb'] img,
span.bg-on-dark[typeof~='mw:File'] img,
html.skin-theme-clientpref-day .pi-theme-bg-on-light .pi-image,
html.skin-theme-clientpref-day figure.bg-on-light[typeof~='mw:File/Thumb'] img,
html.skin-theme-clientpref-day span.bg-on-light[typeof~='mw:File'] img,
.gallery.gallery.gallery img,
html.skin-theme-clientpref-night .gallery.gallery.gallery img:hover {
	background: var(--file-bg);
}

.pi-theme-bg-on-dark .pi-image:hover,
figure.bg-on-dark[typeof~='mw:File/Thumb'] img:hover,
span.bg-on-dark[typeof~='mw:File'] img:hover,
html.skin-theme-clientpref-day .pi-theme-bg-on-light .pi-image:hover,
html.skin-theme-clientpref-day figure.bg-on-light[typeof~='mw:File/Thumb'] img:hover,
html.skin-theme-clientpref-day span.bg-on-light[typeof~='mw:File'] img:hover,
.gallery.gallery.gallery img:hover {
	background: var(--file-bg-hover);
}

html.skin-theme-clientpref-day .pi-theme-bg-on-dark .pi-image,
html.skin-theme-clientpref-day figure.bg-on-dark[typeof~='mw:File/Thumb']:not(.bg-on-light) img,
html.skin-theme-clientpref-day span.bg-on-dark[typeof~='mw:File']:not(.bg-on-light) img,
html.skin-theme-clientpref-day .pi-theme-bg-on-dark .pi-image:hover,
html.skin-theme-clientpref-day figure.bg-on-dark[typeof~='mw:File/Thumb']:not(.bg-on-light) img:hover,
html.skin-theme-clientpref-day span.bg-on-dark[typeof~='mw:File']:not(.bg-on-light) img:hover {
	background: none;
}

/* Background - OS (light) */
@media screen and (prefers-color-scheme: light) {
	html.skin-theme-clientpref-os .pi-theme-bg-on-light .pi-image,
	html.skin-theme-clientpref-os figure.bg-on-light[typeof~='mw:File/Thumb'] img,
	html.skin-theme-clientpref-os span.bg-on-light[typeof~='mw:File'] img {
		background: var(--file-bg);
	}
	html.skin-theme-clientpref-os .pi-theme-bg-on-light .pi-image:hover,
	html.skin-theme-clientpref-os figure.bg-on-light[typeof~='mw:File/Thumb'] img:hover,
	html.skin-theme-clientpref-os span.bg-on-light[typeof~='mw:File'] img:hover {
		background: var(--file-bg-hover);
	}
	html.skin-theme-clientpref-os .pi-theme-bg-on-dark .pi-image,
	html.skin-theme-clientpref-os figure.bg-on-dark[typeof~='mw:File/Thumb']:not(.bg-on-light) img,
	html.skin-theme-clientpref-os span.bg-on-dark[typeof~='mw:File']:not(.bg-on-light) img,
	html.skin-theme-clientpref-os .pi-theme-bg-on-dark .pi-image:hover,
	html.skin-theme-clientpref-os figure.bg-on-dark[typeof~='mw:File/Thumb']:not(.bg-on-light) img:hover,
	html.skin-theme-clientpref-os span.bg-on-dark[typeof~='mw:File']:not(.bg-on-light) img:hover {
		background: none;
	}
}

/* Background - mobile - dark and light */
@media screen and (max-width: 720px) {
	.pi-theme-bg-on-dark .pi-media-collection,
	html.skin-theme-clientpref-day .pi-theme-bg-on-light .pi-media-collection {
		background: var(--file-bg);
	}
	.pi-theme-bg-on-dark .pi-image,
	html.skin-theme-clientpref-day .pi-theme-bg-on-dark .pi-image,
	html.skin-theme-clientpref-os .pi-theme-bg-on-dark .pi-image,
	html.skin-theme-clientpref-day .pi-theme-bg-on-dark .pi-media-collection {
		background: none;
	}
}

/* Background - mobile - dark and light */
@media screen and (max-width: 720px) and (prefers-color-scheme: light) {
	html.skin-theme-clientpref-os .pi-theme-bg-on-light .pi-media-collection {
		background: var(--file-bg);
	}
	html.skin-theme-clientpref-os .pi-theme-bg-on-dark .pi-media-collection {
		background: none;
	}
}

/* Outline - dark */
.outline-on-dark img,
.pi-theme-outline-on-dark .pi-image img {
	filter:
		drop-shadow(1px 0 white)
		drop-shadow(-1px 0 white)
		drop-shadow(0 1px white)
		drop-shadow(0 -1px white);
}

/* Outline - light */
html.skin-theme-clientpref-day .outline-on-light img,
html.skin-theme-clientpref-day .pi-theme-outline-on-light .pi-image img {
	filter:
		drop-shadow(1px 1px black)
		drop-shadow(-1px -1px black)
		drop-shadow(-1px 1px black)
		drop-shadow(1px -1px black);
}

html.skin-theme-clientpref-day .outline-on-dark:not(.outline-on-light) img,
html.skin-theme-clientpref-day .pi-theme-outline-on-dark .pi-image img {
	filter: none;
}

/* Outline - light (OS preference) */
@media screen and (prefers-color-scheme: light) {
	html.skin-theme-clientpref-os .outline-on-light img,
	html.skin-theme-clientpref-os .pi-theme-outline-on-light .pi-image img {
		filter:
			drop-shadow(1px 1px black)
			drop-shadow(-1px -1px black)
			drop-shadow(-1px 1px black)
			drop-shadow(1px -1px black);
	}
	html.skin-theme-clientpref-os .outline-on-dark:not(.outline-on-light) img,
	html.skin-theme-clientpref-os .pi-theme-outline-on-dark .pi-image img {
		filter: none;
	}
}

/** <poem> styling **/
.poem {
	font-style: italic;
}
Konu ekle